﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewEggEnergyUserActivityDb(engine *xorm.Engine) dao.EggEnergyUserActivityDao {
	return &EggEnergyUserActivityDb{Db: engine}
}

type EggEnergyUserActivityDb struct {
	Db *xorm.Engine
}

func (e EggEnergyUserActivityDb) UserDailyActivityAnalysisFindByUidAndTime(startDate string, endDate string, uid []int64) (int64, error) {
	var m model.EggEnergyUserActivity
	count, err := e.Db.Where("uid in ?", uid).And("date > ?", startDate).And("date < ?", endDate).Count(&m)
	if err != nil {
		return 0, zhios_order_relate_logx.Error(err)
	}
	return count, nil
}

func (e EggEnergyUserActivityDb) UserDailyActivityAnalysisCountByUidAndTime(startDate string, endDate string, uid int64) (int64, error) {
	var m model.EggEnergyUserActivity
	count, err := e.Db.Where("uid = ?", uid).And("date > ?", startDate).And("date < ?", endDate).Count(&m)
	if err != nil {
		return 0, zhios_order_relate_logx.Error(err)
	}
	return count, nil
}
